Member devices
List your devices
Your phones and desktop apps in this company.
GET
/
api
/
company
/
v2026-10
/
devices
/
mine
List your devices
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/devices/mine \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/devices/mine"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/devices/mine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/devices/mine",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/devices/mine"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/devices/mine")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/devices/mine")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"devices": [
{
"id": "0199d0a1-2b3c-7d4e-8f5a-6b7c8d9e0f1a",
"device_type": "ios",
"bundle_id": "app.fluid.portal",
"last_seen_at": "2026-10-23T13:58:30Z",
"registered_at": "2026-08-02T16:11:04Z",
"push_status": "active",
"kind": "phone",
"app_version": "3.4.1",
"device_name": null,
"os_name": null,
"last_active_at": null,
"signed_out_at": null
},
{
"id": "0199e5b2-7c8d-7e9f-9a0b-1c2d3e4f5a6b",
"device_type": "desktop",
"bundle_id": "app.fluid.mist",
"last_seen_at": "2026-10-23T14:04:51Z",
"registered_at": "2026-10-01T15:30:00Z",
"push_status": "desktop",
"kind": "desktop",
"app_version": "1.1.0",
"device_name": "MacBook Pro",
"os_name": "macOS 15.1",
"last_active_at": "2026-10-23T14:04:51Z",
"signed_out_at": null
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z"
}
}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
List your devices
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/devices/mine \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/devices/mine"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/devices/mine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/devices/mine",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/devices/mine"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/devices/mine")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/devices/mine")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"devices": [
{
"id": "0199d0a1-2b3c-7d4e-8f5a-6b7c8d9e0f1a",
"device_type": "ios",
"bundle_id": "app.fluid.portal",
"last_seen_at": "2026-10-23T13:58:30Z",
"registered_at": "2026-08-02T16:11:04Z",
"push_status": "active",
"kind": "phone",
"app_version": "3.4.1",
"device_name": null,
"os_name": null,
"last_active_at": null,
"signed_out_at": null
},
{
"id": "0199e5b2-7c8d-7e9f-9a0b-1c2d3e4f5a6b",
"device_type": "desktop",
"bundle_id": "app.fluid.mist",
"last_seen_at": "2026-10-23T14:04:51Z",
"registered_at": "2026-10-01T15:30:00Z",
"push_status": "desktop",
"kind": "desktop",
"app_version": "1.1.0",
"device_name": "MacBook Pro",
"os_name": "macOS 15.1",
"last_active_at": "2026-10-23T14:04:51Z",
"signed_out_at": null
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z"
}
}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}